uniform sampler2DRect tex0;

varying vec2 uv[15];

#define WEIGHT_0 0.159576912161
#define WEIGHT_1 0.147308056121
#define WEIGHT_2 0.115876621105
#define WEIGHT_3 0.0776744219933
#define WEIGHT_4 0.0443683338718
#define WEIGHT_5 0.0215963866053
#define WEIGHT_6 0.00895781211794
#define WEIGHT_7 0.0044299121055113265

void main()
{
    gl_FragColor  = texture2DRect(tex0, uv[ 0]) * WEIGHT_7;
    gl_FragColor += texture2DRect(tex0, uv[ 1]) * WEIGHT_6;
    gl_FragColor += texture2DRect(tex0, uv[ 2]) * WEIGHT_5;
    gl_FragColor += texture2DRect(tex0, uv[ 3]) * WEIGHT_4;
    gl_FragColor += texture2DRect(tex0, uv[ 4]) * WEIGHT_3;
    gl_FragColor += texture2DRect(tex0, uv[ 5]) * WEIGHT_2;
    gl_FragColor += texture2DRect(tex0, uv[ 6]) * WEIGHT_1;
    gl_FragColor += texture2DRect(tex0, uv[ 7]) * WEIGHT_0;
    gl_FragColor += texture2DRect(tex0, uv[ 8]) * WEIGHT_1;
    gl_FragColor += texture2DRect(tex0, uv[ 9]) * WEIGHT_2;
    gl_FragColor += texture2DRect(tex0, uv[10]) * WEIGHT_3;
    gl_FragColor += texture2DRect(tex0, uv[11]) * WEIGHT_4;
    gl_FragColor += texture2DRect(tex0, uv[12]) * WEIGHT_5;
    gl_FragColor += texture2DRect(tex0, uv[13]) * WEIGHT_6;
    gl_FragColor += texture2DRect(tex0, uv[14]) * WEIGHT_7;
}